View Issue Details

IDProjectCategoryView StatusLast Update
0003200SOGoWeb Calendarpublic2015-06-09 20:34
ReporterJens Erat Assigned Toludovic  
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Target Version2.3.1Fixed in Version2.3.1 
Summary0003200: Category color default should be configurable per category
Description

In the SOGo configuration, the administrator can set one default color for all categories using SOGoCalendarDefaultCategoryColor. It would be favorable to set an individual default per category instead, eg. by making SOGoCalendarCategories an array of hashes or similar.

Common category colors within the organization (apart from "gray" for everything) might make the category feature much more useful. Users should still be able to change it, though.

TagsNo tags attached.

Activities

ludovic

ludovic

2015-05-21 14:10

administrator   ~0008513

Last edited: 2015-05-21 14:10

SOGoCalendarCategories and SOGoCalendarCategoriesColors can already be defined in SOGoDefaults.plist.

We'll make it more clear for 2.3.1.

ludovic

ludovic

2015-06-09 20:34

administrator   ~0008609

https://github.com/inverse-inc/sogo/commit/a56dbeb6a9e06777e4117e97a0e71b23a1558cc6

Issue History

Date Modified Username Field Change
2015-04-29 10:12 Jens Erat New Issue
2015-05-21 14:10 ludovic Note Added: 0008513
2015-05-21 14:10 ludovic Target Version => 2.3.1
2015-05-21 14:10 ludovic Note Edited: 0008513
2015-06-09 20:34 ludovic Note Added: 0008609
2015-06-09 20:34 ludovic Status new => resolved
2015-06-09 20:34 ludovic Fixed in Version => 2.3.1
2015-06-09 20:34 ludovic Resolution open => fixed
2015-06-09 20:34 ludovic Assigned To => ludovic